Subject: RE: MPLS for UDLR

From: Eyad Saheb <[email-masked]>
Date: Mon, 4 Dec 2000 14:00:39 -0500

My impression is that although there is no restrictions on which interfaces
the PATH & RESV messages traverse, they will not accomplish anything if they
don't follow the same hops.  Thus, if A is connected to B via a
uni-directional link, RSVP messages may use another uni-directional link to
'complete the loop'.  However, the links must be between A & B, any
intermediate hops will interfere: if they support RSVP, they would only have
received one of the PATH/RESV messages, or if they don't support RSVP they
won't be allowed in the LSP.

Isn't this the case ?

Eyad

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Markus
Jork
Sent: Monday, December 04, 2000 12:42 PM
To: Yangguang Xu
Cc: [email-masked]'
Subject: Re: MPLS for UDLR 

Yangguang,

I didn't say that uni-directional links are currently in use
in packet networks. I'm not familiar with the UDLR work at all but
obviously it is an attempt to make use of uni-directional links.
So my point was that RSVP's design permits its use over uni-directional
links if someone wants to do that.

Markus

> Markus,
> 
> I am confused. LSPs are uni-directional, it doesn't mean data links are
> uni-directional. My understanding is that data links are always
bi-directional.
> In another word, logical physical interfaces to forwarding engine are
> bi-directional. OSPF only treats bi-directional links as working links.
Even
> RSVP doesn't explicitly assume the bi-directional data link. It seems to
me
> that's the default
> 
> Can you give me an example of uni-directional data link in packet network?
> 
> Yangguang
> 
> Markus Jork wrote:
> > 
> > Just to clear up some confusion in this e-mail exchange.
> > RSVP does not have a problem with unidirectional links.
> > A Path message can be sent out on one interface and the
> > corresponding Resv message can come back in through any
> > other interface.
> > So when there is a unidirectional link from A to B, the only
> > requirement is that B somehow has to be able to send back a Resv
> > message to A (through some other interface or possibly via multiple
> > other intermediate nodes). There is no need for a bi-directional link.
> > 
> > Markus
> >

---

From: Markus Jork <[email-masked]>
Date: Mon, 04 Dec 2000 14:35:40 -0500

Eyad,

RSVP works by establishing state along the flow of the Path message.
The interface used by Resv messages doesn't matter.
A Path message going from A to B includes a HOP object consisting
of A's address and a "logical interface handle" (LIH). When B
sends a Resv message back to A to 'complete the loop', it sends it
to A's address found in the HOP object. The Resv message is not sent
with the router alert option and will not be processed by any
intermediate nodes it may take to get the message back to A. The
Resv message also includes the LIH that B got from A. When the
Resv arrives at A, the LIH may then be used to figure out what
link this Resv applies to (namely the uni-directional link on which
the Path message has been sent out previously).
So RSVP will be able to set up a LSP across the uni-directional link.

Markus